/*
 * Copyright (C) 2014 digitalSTROM.org, Schlieren, Switzerland
 *
 * digitalSTROM ds485-base library is free software: you can redistribute it
 * and/or modify it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, either version 3 of the License,
 * or (at your option) any later version.
 *
 * digitalSTROM ds485-base library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with digitalSTROM ds485-base library. If not, see
 * <http://www.gnu.org/licenses/>.
 */

#ifndef __BASE_DS_STRING_H__
#define __BASE_DS_STRING_H__

#include <digitalSTROM/dsuid.h>
#include "digitalSTROM/ds485n-packet.h"

/**
 * sprintf_container -- dumps src / dest address, transactionID
 * and first 16 bytes of content
 * @param buf holds result, NULL is valid input see sprintf
 * @param container to be dumped
 * @return the number of bytes written
 * Use CONTAINER_STR_BUF to allocate large enough buffer
 */
int sprintf_container(char *buf, const ds485_container_t *container);
int sprintf_netlib_packet(char *buf, const ds485n_packet_t *packet);
#define CONTAINER_STR_BUF(buf)  char buf[256] /* TODO magic number */

#endif
